package com.test.entities;

import oracle.toplink.essentials.sessions.SessionEventAdapter;
import oracle.toplink.essentials.sessions.SessionEvent;
import oracle.toplink.essentials.queryframework.ObjectBuildingQuery;
import oracle.toplink.essentials.queryframework.DatabaseQuery;

/**
 * @author <a href="mailto:rajbirsb@gmail.com">Rajbir Singh</a>
 * @version $Revision$, $Date$, $Author$
 * @since May 14, 2008
 */
public class CustomSessionEventListener
        extends SessionEventAdapter
{

    public void preExecuteQuery(SessionEvent event)
    {
        DatabaseQuery query = event.getQuery();
        if ((query != null) && (query instanceof ObjectBuildingQuery)
                && query.getReferenceClassName().equals("com.test.entities.CustInventory")) {
            ObjectBuildingQuery objectBuildingQuery = ((ObjectBuildingQuery) query);
            objectBuildingQuery.setLockMode(ObjectBuildingQuery.LOCK);
        }
    }
}
