package com.test.entities;

import java.util.Collection;

import javax.persistence.*;

/**
 * @author <a href="mailto:rajbirsb@gmail.com">Rajbir Singh</a>
 * @version $Revision$, $Date$, $Author$
 * @since May 14, 2008
 */
@Entity
@Table(name = "PRE_EXECUTE_QUERY_SE_CUST")
public class Customer
{
    @Id
    private int idNumber;
    private String name;
    @OneToMany(mappedBy = "customer", fetch = FetchType.EAGER)
    private Collection<CustInventory> inventories;

    public Collection<CustInventory> getInventories()
    {
        return inventories;
    }

    public void setInventories(Collection<CustInventory> inventories)
    {
        this.inventories = inventories;
    }

    public int getIdNumber()
    {
        return idNumber;
    }

    public void setIdNumber(int idNum)
    {
        this.idNumber = idNum;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }
}
